Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.TXDocumentContext

    java.lang.Object
        |
        +----com.ibm.xml.parser.TXDocumentContext

public class TXDocumentContext
extends java.lang.Object
implements DocumentContext

The DocumentContext class implements the DocumentContent interface as defined by the Document Object Model (DOM).

The DocumentContext object represents information that is not strictly related to a document's content; rather, it provides the information about where the document came from, and any additional meta-data about the document.

The DocumentContext is expected to evolved greatly with the level two DOM specification.

Version:
  1.1
See Also:
  Parent

Constructor Summary
TXDocumentContext() Constructor.

Method Summary
Document | getDocument() Returns the root Node of this document.
void | setDocument(Document document) Sets root Node of this document.

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### TXDocumentContext

    public TXDocumentContext()

  Constructor.

Method Detail

### getDocument

    public Document getDocument()

  Returns the root Node of this document. Any iteration, enumeration, or other traversal of the entire document's content should begin with this Node.
  Implements:
    getDocument in interface DocumentContext
  Returns:
    Root Node of this Document.
  See Also:
    setDocument

### setDocument

    public void setDocument(Document document)

  Sets root Node of this document. Any iteration, enumeration, or other traversal of the entire document's content should begin with this Node.
  Implements:
    setDocument in interface DocumentContext
  Parameters:
    `document` - Root Node of this Document.
  See Also:
    getDocument

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |